# compile.sh - runs compiler
# Ed L Cashin
# CSCI 6730 - Operating Systems - Lowenthal
# 

cfile=$1
objfile=`echo $cfile | sed 's!\.c$!.o!'`
. make.d/settings.sh

# re2c generates many unused labels and other unused things
# 
if test "$cfile" = "parse/lex.c" || test "$cfile" = "parse/keyword.c"; then
  extra_cflags=-Wno-unused
else
  extra_cflags=
fi

echo $cc -DPROGNAME='"'$progname'"' $cppflags $defs $cflags $extra_cflags -o $objfile -c $cfile
$cc -DPROGNAME='"'$progname'"' $cppflags $defs $cflags $extra_cflags -o $objfile -c $cfile
